Skip to content
Navigation

Add a company or publication I opened to my history

POST
https://api.sureshake.com/v2/users/me/recent-views

Request body JSON required

  • subjectType
    company
    or
    publication
    required
  • subjectId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • recorded
      boolean
      required
    • view
      object
      or null
      required
      • id
        string
        required
        format: uuid
      • subjectType
        company
        or
        person
        or
        publication
        required
      • subjectId
        string
        required
      • title
        string
        required
      • href
        string
        required
      • imageUrl
        string
        or null
        required
      • viewCount
        integer
        required
        minimum: 0
      • lastViewedAt
        string
        required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close